// 6-Pwm01.c
// gcc -Wall -o "%e" "%f" -llgpio -lpthread -g -O0
// Geanyのオプションの"%e"は実行ファイル名, "%f"はソースファイル名のこと

#include <stdio.h>
#include <stdlib.h>     //EXIT_SUCCESS
#include <lgpio.h>      //lgTxPwm,etc
#define PI5     4       // /dev/gpiochip4
#define PI4B    0       // /dev/gpiochip0
#define LED0    23

int main (void){
    int hnd;
    int lFlgOut=0;
    int duty;              //デューティ比
    hnd = lgGpiochipOpen(PI5);
    //hnd = lgGpiochipOpen(PI4B);
    lgGpioClaimOutput(hnd,lFlgOut,LED0,LG_LOW);
    while(1){
        for ( duty=0; duty<100;duty++){ //100回繰り返す
            lgTxPwm(hnd, LED0, 100.0, duty, 0,0); //デューティ比の設定
            lguSleep(0.05);             //待ち時間50ms
        }
    }
    lgGpiochipClose(hnd);
    return EXIT_SUCCESS;
}
